# This file created by conda-build 24.7.1
# meta.yaml template originally from:
# /opt/recipe, last modified Mon Jan 20 11:48:13 2025
# ------------------------------------------------

package:
  name: ms2rescore-rs
  version: 0.4.1
source:
  sha256: 6766c18f1200a658f9c41a1e24d68da48b7f2a07e80de7ede6ad72519f49c9f2
  url: https://pypi.io/packages/source/m/ms2rescore-rs/ms2rescore_rs-0.4.1.tar.gz
build:
  number: '0'
  run_exports:
    - ms2rescore-rs >=0.4.1,<0.5.0a0
  string: py39h1abd2b7_0
requirements:
  build:
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-aarch64 2.43 h4c662bb_2
    - binutils_linux-aarch64 2.43 hf1166c9_2
    - bzip2 1.0.8 h68df207_7
    - c-ares 1.34.4 h86ecc28_0
    - ca-certificates 2024.12.14 hcefe29a_0
    - cmake 3.31.4 h0efca9c_0
    - gcc_impl_linux-aarch64 13.3.0 hcdea9b6_1
    - gcc_linux-aarch64 13.3.0 h1cd514b_7
    - gxx_impl_linux-aarch64 13.3.0 h1211b58_1
    - gxx_linux-aarch64 13.3.0 h2864abd_7
    - kernel-headers_linux-aarch64 4.18.0 h05a177a_18
    - keyutils 1.6.1 h4e544f5_0
    - krb5 1.21.3 h50a48e9_0
    - ld_impl_linux-aarch64 2.43 h80caac9_2
    - libcurl 8.11.1 h6702fde_0
    - libedit 3.1.20240808 pl5321h976ea20_0
    - libev 4.33 h31becfc_2
    - libexpat 2.6.4 h5ad3122_0
    - libgcc 14.2.0 he277a41_1
    - libgcc-devel_linux-aarch64 13.3.0 h0c07274_101
    - libgcc-ng 14.2.0 he9431aa_1
    - libgomp 14.2.0 he277a41_1
    - liblzma 5.6.3 h86ecc28_1
    - libnghttp2 1.64.0 hc8609a4_0
    - libsanitizer 13.3.0 ha58e236_1
    - libssh2 1.11.1 ha41c0db_0
    - libstdcxx 14.2.0 h3f4de04_1
    - libstdcxx-devel_linux-aarch64 13.3.0 h0c07274_101
    - libstdcxx-ng 14.2.0 hf1166c9_1
    - libuv 1.50.0 h86ecc28_0
    - libzlib 1.3.1 h86ecc28_2
    - make 4.4.1 h2a6d0cb_2
    - ncurses 6.5 ha32ae93_2
    - openssl 3.4.0 hd08dc88_1
    - rhash 1.4.5 h86ecc28_0
    - rust 1.84.0 h21fc29f_0
    - rust-std-aarch64-unknown-linux-gnu 1.84.0 hbe8e118_0
    - rust_linux-aarch64 1.84.0 he12014f_1
    - sysroot_linux-aarch64 2.17 h68829e0_18
    - tzdata 2025a h78e105d_0
    - zstd 1.5.6 h02f22dd_0
  host:
    - _openmp_mutex 4.5 2_gnu
    - bzip2 1.0.8 h68df207_7
    - ca-certificates 2024.12.14 hcefe29a_0
    - ld_impl_linux-aarch64 2.43 h80caac9_2
    - libffi 3.4.2 h3557bc0_5
    - libgcc 14.2.0 he277a41_1
    - libgcc-ng 14.2.0 he9431aa_1
    - libgomp 14.2.0 he277a41_1
    - liblzma 5.6.3 h86ecc28_1
    - libnsl 2.0.1 h31becfc_0
    - libsqlite 3.48.0 h5eb1b54_0
    - libstdcxx 14.2.0 h3f4de04_1
    - libuuid 2.38.1 hb4cce97_0
    - libxcrypt 4.4.36 h31becfc_1
    - libzlib 1.3.1 h86ecc28_2
    - maturin 1.8.1 py39h0d4100f_0
    - ncurses 6.5 ha32ae93_2
    - openssl 3.4.0 hd08dc88_1
    - pip 24.3.1 pyh8b19718_2
    - python 3.9.21 hb97c71e_1_cpython
    - python_abi 3.9 5_cp39
    - readline 8.2 h8fc344f_1
    - setuptools 75.8.0 pyhff2d567_0
    - tk 8.6.13 h194ca79_0
    - tomli 2.2.1 pyhd8ed1ab_1
    - tzdata 2025a h78e105d_0
    - wheel 0.45.1 pyhd8ed1ab_1
    - zlib 1.3.1 h86ecc28_2
  run:
    - dotnet-runtime =6.0
    - libgcc >=13
    - libstdcxx >=13
    - libzlib >=1.3.1,<2.0a0
    - python >=3.9,<3.10.0a0
    - python_abi 3.9.* *_cp39
  run_constrained:
    - __glibc >=2.17
test:
  commands:
    - pip check
  imports:
    - ms2rescore_rs
  requires:
    - pip
about:
  home: https://github.com/compomics/ms2rescore-rs
  license: Apache-2.0
  license_file: LICENSE
  summary: "Rust functionality for the MS\xB2Rescore package"
extra:
  additional-platforms:
    - linux-aarch64
    - osx-arm64
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - CompOmics
    - RalfG
